document.getElementById("hozzaadGomb").addEventListener("click", function () {
    let targy = document.getElementById("uzenetTargy");
    let szoveg = document.getElementById("uzenetSzoveg");

    if (nemures(targy.value) && nemures(szoveg.value)) {
        uzenethozzaad(targy.value, szoveg.value);
    } else {
        alert("Üresek a szövegmezők.")
    }

    mezourites(targy);
    mezourites(szoveg);
});

function nemures(string) {
    if (string != "") {
        return true;
    }
    return false;
}

function uzenethozzaad(targy, szoveg) {
    let uzenet = document.createElement("div");
    uzenet.innerHTML = `<h2>${targy}</h2><p>${szoveg}</p>`;
    
    let torlesGomb = document.createElement("button");
    torlesGomb.textContent = "TÖRLÉS";

    torlesGomb.addEventListener("click", function(){
        this.parentNode.remove();
    });

    uzenet.appendChild(torlesGomb);

    document.getElementById("uzenetek").appendChild(uzenet);
}

function mezourites(mezo) {
    mezo.value = null;
}

